## pandas 0.19.2

=== debian/changelog ===
pandas (0.19.2-5.1ubuntu4~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 05 Sep 2017 12:06:45 +0000

pandas (0.19.2-5.1ubuntu4) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:21:55 +0000

pandas (0.19.2-5.1ubuntu3) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 18:39:37 +0000

pandas (0.19.2-5.1ubuntu2) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 07 Jun 2017 16:27:25 -0700

pandas (0.19.2-5.1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Add test_abs to skip on non-amd64 arches. 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Apr 2017 18:34:42 +0200

pandas (0.19.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch by Rebecca N. Palmer
    Closes: #858260

 -- Andreas Tille <tille@debian.org>  Sun, 02 Apr 2017 07:06:36 +0200

pandas (0.19.2-5ubuntu1) zesty; urgency=medium

  * d/rules: Add test_abs to skip on non-amd64 arches. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 17:49:39 -0500

pandas (0.19.2-5) unstable; urgency=medium

  * And one more test to skip on non-amd64 -- test_round_trip_valid_encodings

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 12 Jan 2017 13:10:11 -0500

pandas (0.19.2-4) unstable; urgency=medium

  * Exclude few more "plotting" tests on non-amd64 which cause FTBFS
    on s390

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 12 Jan 2017 11:43:13 -0500

pandas (0.19.2-3) unstable; urgency=medium

  * Brought back changeset_0699c89882133a41c250abdac02796fec84512e8.diff
    which should resolve tests failures on BE platforms (wasn't yet
    upstreamed within 0.19.x releases)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 12 Jan 2017 09:44:52 -0500

pandas (0.19.2-2) unstable; urgency=medium

  * Exclude a number of tests while running on non-amd64 platforms
    due to bugs in numpy/pandas

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 11 Jan 2017 12:13:05 -0500

pandas (0.19.2-1) unstable; urgency=medium

  * Fresh upstream minor release -- supposed to be bugfix but interacts
    with current beta (1:1.12.0~b1-1) numpy leading to various failed tests
  * debian/patches
    - changeset_ae6a0a51cf41223394b7ef1038c210045d486cc8.diff
      to guarantee the same Series dtype as of cut regardless of architecture
    - up_buggy_overflows
      workaround for inconsistent overflows while doing pow operation on big
      ints
  * debian/rules
    - exclude more tests which are due to known issues in numpy beta and thus
      not to be addressed directly in pandas

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 04 Jan 2017 10:19:52 -0500

pandas (0.19.1+git174-g81a2f79-1) experimental; urgency=medium

  * New upstream snapshot from v0.19.0-174-g81a2f79
    - lots of bugfixes since 0.19.1, so decided to test snapshot

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 10 Dec 2016 22:43:19 -0500

pandas (0.19.1-3) unstable; urgency=medium

  * Require cython >= 0.23 or otherwise use pre-cythoned sources
    (should resolve https://github.com/pandas-dev/pandas/issues/14699
    on jessie)
  * debian/control
    - Build-Conflicts with python-tables 3.3.0-4 since that one leads to FTBFS
    - boosted policy to 3.9.8
  * debian/rules
    - Exclude few more tests which fail on big endian and other platforms
      test_(msgpack|read_dta18)
  * debian/patches
    - changeset_0699c89882133a41c250abdac02796fec84512e8.diff
      to compare in the tests against native endianness

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 09 Dec 2016 15:49:50 -0500

pandas (0.19.1-2) unstable; urgency=medium

  * debian/control
    - Moved statsmodels build-depend (optional) under build-depends-indep
      to break circular dependency.  Thanks Stuart Prescott for the analysis
  * debian/patches/
    - changeset_1309346c08945cd4764a549ec63cf51089634a45.diff
      to not mask problem reading json leading to use of undefined variable

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 27 Nov 2016 21:49:40 -0500

=== debian/control ===
Source: pandas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50),
               python-all-dev (>= 2.5),
               python-setuptools,
               cython,
               python-numpy (>= 1:1.7~), python-dateutil,
               python-scipy,
               python-tz,
               python-tables [!m68k !sh4 !x32],
               python-sphinx (>= 1.0~),
               python-nose,
               python-matplotlib [!hurd-i386],
               python-tk,
               python-openpyxl, python-xlwt, python-xlrd,
               python-bs4,
               python-html5lib,
               python-six,
               python-lxml,
               python-html5lib,
               python3-all-dev,
               python3-setuptools,
               cython3 (>= 0.17.1~) | cython (<< 0.17.1~),
               python3-numpy (>= 1:1.7~), python3-dateutil,
               python3-scipy,
               python3-tz,
               python3-sphinx (>= 1.0~),
               python3-nose,
               python3-matplotlib [!hurd-i386]| python-matplotlib (<< 1.2.0~) [!hurd-i386],
               python3-tk,
               python3-bs4,
               python3-six,
               python3-lxml,
               python3-html5lib,
               python3-tables [!m68k !sh4 !x32],
               xvfb, xauth, xclip,
Build-Depends-Indep:
 ipython (>= 0.12) | ipython2x | ipython1x,
 python-statsmodels [!arm64 !ppc64el !sparc64 !mips64el !ppc64 !sparc64 !sh4],
Build-Conflicts: python-tables (= 3.3.0-4), python3-tables (= 3.3.0-4)
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Standards-Version: 3.9.8
Homepage: http://pandas.sourceforge.net
Vcs-Browser: http://github.com/neurodebian/pandas
Vcs-Git: git://github.com/neurodebian/pandas.git
XS-Testsuite: autopkgtest

Package: python-pandas
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python-numpy (>= 1:1.7~),
         python-dateutil,
         python-pandas-lib(>= ${source:Version}),
         python-pkg-resources,
         python-six,
Recommends: python-scipy,
            python-matplotlib,
            python-tables,
            python-numexpr,
            python-tz,
            python-xlrd,
            python-statsmodels,
            python-openpyxl, python-xlwt, python-xlrd,
            python-bs4,
            python-html5lib,
            python-lxml,
            python-html5lib,
Provides: ${python:Provides}
Suggests: python-pandas-doc
Description: data structures for "relational" or "labeled" data
 pandas is a Python package providing fast, flexible, and expressive
 data structures designed to make working with "relational" or
 "labeled" data both easy and intuitive. It aims to be the fundamental
 high-level building block for doing practical, real world data
 analysis in Python. pandas is well suited for many different kinds of
 data:
 .
  - Tabular data with heterogeneously-typed columns, as in an SQL
    table or Excel spreadsheet
  - Ordered and unordered (not necessarily fixed-frequency) time
    series data.
  - Arbitrary matrix data (homogeneously typed or heterogeneous) with
    row and column labels
  - Any other form of observational / statistical data sets. The data
    actually need not be labeled at all to be placed into a pandas
    data structure
 .
 This package contains the Python 2 version.

Package: python3-pandas
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         python3-numpy (>= 1:1.7~),
         python3-dateutil,
         python3-pandas-lib(>= ${source:Version}),
         python3-pkg-resources,
         python3-six,
Recommends: python3-scipy,
            python3-matplotlib,
            python3-numexpr,
            python3-tables,
            python3-tz,
            python3-bs4,
            python3-html5lib,
            python3-six,
            python3-lxml,
            python3-html5lib,
Suggests: python-pandas-doc
Description: data structures for "relational" or "labeled" data - Python 3
 pandas is a Python package providing fast, flexible, and expressive
 data structures designed to make working with "relational" or
 "labeled" data both easy and intuitive. It aims to be the fundamental
 high-level building block for doing practical, real world data
 analysis in Python. pandas is well suited for many different kinds of
 data:
 .
  - Tabular data with heterogeneously-typed columns, as in an SQL
    table or Excel spreadsheet
  - Ordered and unordered (not necessarily fixed-frequency) time
    series data.
  - Arbitrary matrix data (homogeneously typed or heterogeneous) with
    row and column labels
  - Any other form of observational / statistical data sets. The data
    actually need not be labeled at all to be placed into a pandas
    data structure
 .
 This package contains the Python 3 version.

Package: python-pandas-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Suggests: python-pandas
Description: documentation and examples for pandas
 This package contains documentation and example scripts for
 python-pandas.

Package: python-pandas-lib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy (>= 1:1.7~)
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: low-level implementations and bindings for pandas
 This is an add-on package for python-pandas providing
 architecture-dependent extensions.
 .
 This package contains the Python 2 version.

Package: python3-pandas-lib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy (>=1:1.7~)
Description: low-level implementations and bindings for pandas - Python 3
 This is an add-on package for python-pandas providing
 architecture-dependent extensions.
 .
 This package contains the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export DEB_BUILD_HARDENING=1

# Pass hardening flags into distutils
CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
export CFLAGS

PACKAGE2_NAME = python-pandas
PACKAGE3_NAME = python3-pandas
PACKAGE2_ROOT_DIR = debian/${PACKAGE2_NAME}
PACKAGE3_ROOT_DIR = debian/${PACKAGE3_NAME}

PYVERS = $(shell pyversions -vr)
PYVER = $(shell pyversions -vd)
PY3VERS = $(shell py3versions -vr)
PY3VER = $(shell py3versions -vd)

UVER := $(shell LC_ALL=C dpkg-parsechangelog | awk '/^Version:/{print $$2;}' | sed -e 's,-[^-]*$$,,g')
# Python doesn't use ~ for rc
UVER_PY := $(shell echo $(UVER) | sed -e 's,[~],,g')
UVER_PYSHORT := $(shell echo $(UVER_PY) | sed -e 's,+git.*,,g')

MIN_CYTHONVER = 0.23

ifneq ($(DEB_HOST_ARCH),amd64)
	# obtained by   grep -e 'ERROR:' -e 'FAIL:' pandas-sid.log |awk '{print $2;}' | sed -e 's,^test,,g' | tr '\n' '|'
	# on log of failed tests on mips build box on pandas 0.19.2-1
	# Majority of them is probably due to a bug in NumPy https://github.com/numpy/numpy/issues/8325
	# of incorrectly treating NaT on non-amd64 platforms
	# So for stretch release for now disabling those tests on non-amd64
    # plot ones are excluded due to seems to be a bug in matplotlib which shows up
    # on s390
	EXCLUDE_TESTS_ARCH := --exclude 'test(_frame_from_json_to_json|_misc_example|ArrayNumpyLabelled|DataFrameNumpyLabelled|_resample_timedelta_values|_timestamp_compare|_where_timedelta|ArrayNumpyExcept|_resample_datetime_values|_NaT_cast|_where_datetime|_where_datetime|_datetimelikes_nan|_value_counts_normalized|_agg_dict_parameter_cast_result_dtypes|_boxplot|_boxplot_vertical|_errorbar_plot|_hist_df|_line_area_stacked|_plot|_round_trip_valid_encodings|_abs)'
else
	EXCLUDE_TESTS_ARCH :=
endif

# Some unittests might need to be excluded for different Python versions
EXCLUDE_TESTS := --exclude 'test_(bar_log|set_locale|constructor_compound_dtypes|invalid_index_types|searchsorted_sorter|sparse_max_row|msgpack|read_dta18|integer_panel|mixed_arithmetic|binary_ops|import_google_api_python_client|to_hdf_with_object_column_names)'
EXCLUDE_TESTS2 :=
EXCLUDE_TESTS3.2 :=
#--exclude "test_bootstrap_plot"
EXCLUDE_TESTS3.3 := --exclude 'test_(to_latex_filename|expressions)'

#--exclude "test_(bootstrap_plot|quoting|cant_compare_tz_naive_w_aware|more_flexible_frame_multi_function|yahoo)"
EXCLUDE_TESTS3.4 := $(EXCLUDE_TESTS3.3)
EXCLUDE_TESTS3.5 := $(EXCLUDE_TESTS3.3)

# MPLVER := $(shell dpkg -l python-matplotlib | awk '/^ii/{print $$3;}' || echo 0)
# $(shell dpkg --compare-versions $(MPLVER) lt 1.0 && echo '|test_hist|test_plot|test_boxplot|test_corr_rank' || echo '')

# try to prevent unsunctioned downloads
export  http_proxy=http://127.0.0.1:9/
export  https_proxy=http://127.0.0.1:9/

export SHELL=/bin/bash

# Mega rule
%:
	: # Explicit build system to avoid use of all-in-1 Makefile
	dh $@ --buildsystem=python_distutils --with python2,python3

clean_generated:
	find pandas/ -regex '.*\.c\(\|pp\)' | xargs grep -l -e 'Generated by Cython'  | xargs -r rm -f

_cythonize%:
	debian/rules clean_generated # force removal of previous copies
	python$(*:2=) setup.py cython
	D=debian/cythonized-files$(*:2=) && \
		git rm -rf $$D; \
		find pandas/ -regex '.*\.c\(\|pp\)' | while read f; do \
			grep -q 'Generated by Cython' "$$f" || continue; \
			mkdir -p "$$D/$$(dirname $$f)"; \
			cp "$$f" "$$D/$$(dirname $$f)"; \
			git add -f "$$D/$$f"; \
		done; \
		echo "$(UVER)" >| $$D/VERSION; git add $$D/VERSION

_uncythonize%:
	echo "$*" | grep -q '^3' && PY=3 || PY= ; \
	CYTHONVER=$$(dpkg -l cython$$PY 2>/dev/null | awk '/^ii/{print $$3;}' || echo 0); \
	dpkg --compare-versions "$$CYTHONVER" lt "$(MIN_CYTHONVER)" && { \
		echo "I: Using pre-Cython-ed files for Python $*"; \
		cd debian/cythonized-files$$PY/ ; \
		find . -regex '.*\.c\(\|pp\)' | while read f; do cp $$f ../../$$f; done; } || :

cythonize: _cythonize2 _cythonize3

override_dh_clean: clean_generated
	: # Make sure that cythonized sources are up-to-date
	[ "$(UVER)" = "`cat debian/cythonized-files/VERSION`" ]
	rm -rf build doc/_build *-stamp # pandas.egg-info pandas/datasets/__config__.py
	dh_clean

version_py:
	[ -e pandas/__version.py ] || \
      echo -e "version = '$(UVER_PY)'\nshort_version = '$(UVER_PYSHORT)'" > pandas/__version.py

override_dh_auto_build: version_py
	# Override default build operation which --force's re-cythonization
	# on elderly ubuntus
	# Just build the version.py file
	:

override_dh_auto_install: ${PYVERS:%=python-install%} ${PY3VERS:%=python-install%} ${PYVERS:%=python-test%} ${PY3VERS:%=python-test%}
# Per Python version logic -- install, test, remomove .so (installed into -lib)
python-install%: _uncythonize%
	python$* setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp

python-test%: python-install%
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "backend : Agg" >| $(CURDIR)/build/matplotlibrc
	: # Run unittests here against installed pandas
	echo "$*" | grep -q '^3' && PY=3 || PY=$*; \
	export PYTHONPATH=`/bin/ls -d $$PWD/debian/tmp/usr/lib/python$$PY/*/`; \
	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
	python$* ci/print_versions.py; \
    cd build/; LC_ALL=C.UTF-8 xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
      python$* /usr/bin/nosetests -s -v -A 'not network and not disabled' $(EXCLUDE_TESTS) $(EXCLUDE_TESTS$*) $(EXCLUDE_TESTS_ARCH) pandas;
else
	: # Skip unittests due to nocheck
endif

override_dh_installdocs:
	: # Build Documentation using installed pandas
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
ifneq (,$(findstring -a,$(DH_INTERNAL_OPTIONS)))
	: # not building documentation in -a
else
	: # not building documentation ATM since requires ipython 0.11
	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE2_ROOT_DIR)/usr/lib/python$(PYVER)/*`; \
	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
	 cd doc; python make.py html
endif
endif
	: # Use jquery from Debian package, so prune shipped one
	#TODO -rm doc/_build/html/_static/jquery.js
	dh_installdocs -A *.md

#override_dh_installchangelogs:
#	dh_installchangelogs doc/whats_new.rst

## remove .so libraries from main package, and call dh_numpy*
## while removing 2 if not present
_dh_python%:
	[ -e /usr/bin/dh_numpy$(*:2=) ] && dh_numpy$(*:2=) -p$(PACKAGE$*_NAME)-lib || :
	dh_python$*
	-find debian/python*-pandas -name "*.so" -delete

## "Instantiate" both rules so dh sees them
override_dh_python2: _dh_python2
override_dh_python3: _dh_python3

## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -Xobjects.inv

## pandas 0.20.3

=== debian/changelog ===
pandas (0.20.3-10) unstable; urgency=medium

  * Team upload.
  * Exclude more tests failing on mips, armhf and powerpc

 -- Andreas Tille <tille@debian.org>  Tue, 24 Oct 2017 21:26:02 +0200

pandas (0.20.3-9) unstable; urgency=medium

  * Team upload.
  * Add missing "import pytest" to two patched tests
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Tue, 24 Oct 2017 08:18:54 +0200

pandas (0.20.3-8) unstable; urgency=medium

  * Team upload.
  * Exclude one more test and de-activate non-working ignore of test errors

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2017 21:32:24 +0200

pandas (0.20.3-7) unstable; urgency=medium

  * Team upload.
  * debhelper 9
  * Use Debian packaged mathjax
  * Do not Recommends python3-six since it is mentioned in Depends
  * Remove redundant/outdated XS-Testsuite: autopkgtest
  * Exclude one more test and de-activate non-working ignore of test errors

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2017 17:33:55 +0200

pandas (0.20.3-6) unstable; urgency=medium

  * Team upload.
  * Ignore test errors on some architectures
    (Concerns bug #877419)
  * Remove __pycache__ remainings from testing
  * Standards-Version: 4.1.1
  * DEP3 for Google Analytics patch
  * Complete Google Analytics patch

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2017 09:05:27 +0200

pandas (0.20.3-5) unstable; urgency=medium

  * Make sure remainings of nose tests will not fail. That's a pretty stupid
    patch since the tests are not using nose any more only some remaining
    exceptions.  Hope it will work anyway.
    (Concerns bug #877419)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Oct 2017 21:57:45 +0200

pandas (0.20.3-4) unstable; urgency=medium

  * Mark those tests @pytest.mark.intel that pass only on Intel architectures
  * d/rules: try to exclude tests that were marked "intel"
    (Concerns bug #877419)

 -- Andreas Tille <tille@debian.org>  Sat, 14 Oct 2017 19:49:01 +0200

pandas (0.20.3-3) unstable; urgency=medium

  * Team upload.
  * Moved packaging from pkg-exppsy to Debian Science
  * Exclude certain tests on certain architectures
    (Concerns bug #877419)

 -- Andreas Tille <tille@debian.org>  Fri, 13 Oct 2017 20:52:53 +0200

pandas (0.20.3-2) unstable; urgency=medium

  * debian/control
    - boosted policy to 4.0.0 (I think we should be ok)
    - drop statsmodels from build-depends to altogether avoid the circular
      build-depends (Closes: #875805)
  * Diane Trout:
    - Add dateutil-2.6.1-fixed-ambiguous-tz-dst-be.patch (Closes: #875807)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 21 Sep 2017 16:11:29 -0400

pandas (0.20.3-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/patches
    - updated some, removed changeset*, and disabled possibly fixed upstream
      ones
  * debian/{control,rules}
    - upstream switched to use pytest instead of nose
    - enabled back all the tests for now
    - added python-nbsphinx for b-depends, needed for docs
  * debian/*.install
    - no .so at the first level of subdirectories, now present on the third

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 10 Jul 2017 20:00:59 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: pandas
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: debhelper (>= 7.0.50),
+Build-Depends: debhelper (>= 9),
                python-all-dev (>= 2.5),
                python-setuptools,
                cython,
@@ -13,7 +12,9 @@
                python-tz,
                python-tables [!m68k !sh4 !x32],
                python-sphinx (>= 1.0~),
+               python-nbsphinx,
                python-nose,
+               python-pytest,
                python-matplotlib [!hurd-i386],
                python-tk,
                python-openpyxl, python-xlwt, python-xlrd,
@@ -30,6 +31,7 @@
                python3-tz,
                python3-sphinx (>= 1.0~),
                python3-nose,
+               python3-pytest,
                python3-matplotlib [!hurd-i386]| python-matplotlib (<< 1.2.0~) [!hurd-i386],
                python3-tk,
                python3-bs4,
@@ -40,15 +42,13 @@
                xvfb, xauth, xclip,
 Build-Depends-Indep:
  ipython (>= 0.12) | ipython2x | ipython1x,
- python-statsmodels [!arm64 !ppc64el !sparc64 !mips64el !ppc64 !sparc64 !sh4],
 Build-Conflicts: python-tables (= 3.3.0-4), python3-tables (= 3.3.0-4)
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://pandas.sourceforge.net
-Vcs-Browser: http://github.com/neurodebian/pandas
-Vcs-Git: git://github.com/neurodebian/pandas.git
-XS-Testsuite: autopkgtest
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pandas.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pandas.git
 
 Package: python-pandas
 Architecture: all
@@ -107,7 +107,6 @@
             python3-tz,
             python3-bs4,
             python3-html5lib,
-            python3-six,
             python3-lxml,
             python3-html5lib,
 Suggests: python-pandas-doc
@@ -134,7 +133,9 @@
 Package: python-pandas-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends},
+         libjs-jquery,
+         libjs-mathjax
 Suggests: python-pandas
 Description: documentation and examples for pandas
  This package contains documentation and example scripts for

=== debian/rules ===
--- 
+++ 
@@ -24,25 +24,23 @@
 
 MIN_CYTHONVER = 0.23
 
-ifneq ($(DEB_HOST_ARCH),amd64)
-	# obtained by   grep -e 'ERROR:' -e 'FAIL:' pandas-sid.log |awk '{print $2;}' | sed -e 's,^test,,g' | tr '\n' '|'
-	# on log of failed tests on mips build box on pandas 0.19.2-1
-	# Majority of them is probably due to a bug in NumPy https://github.com/numpy/numpy/issues/8325
-	# of incorrectly treating NaT on non-amd64 platforms
-	# So for stretch release for now disabling those tests on non-amd64
-    # plot ones are excluded due to seems to be a bug in matplotlib which shows up
-    # on s390
-	EXCLUDE_TESTS_ARCH := --exclude 'test(_frame_from_json_to_json|_misc_example|ArrayNumpyLabelled|DataFrameNumpyLabelled|_resample_timedelta_values|_timestamp_compare|_where_timedelta|ArrayNumpyExcept|_resample_datetime_values|_NaT_cast|_where_datetime|_where_datetime|_datetimelikes_nan|_value_counts_normalized|_agg_dict_parameter_cast_result_dtypes|_boxplot|_boxplot_vertical|_errorbar_plot|_hist_df|_line_area_stacked|_plot|_round_trip_valid_encodings|_abs)'
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), arm64 armel armhf mips mips64el mipsel s390x alpha hppa powerpc ppc64))
+	# EXCLUDE_TESTS_ARCH := --exclude 'test(test_value_counts_normalized|test_resample_timedelta_values|test_resample_datetime_values|test_datetimelikes_nan|test_where_datetime|test_timestamp_compare|test_agg_dict_parameter_cast_result_dtypes|test_NaT_cast|test_where_datetime|test_where_timedelta)'
+	# unfortunately this leads to:
+	#	pytest.py: error: unrecognized arguments: --exclude
+	EXCLUDE_TESTS_ARCH := -m "not intel"
 else
 	EXCLUDE_TESTS_ARCH :=
 endif
 
 # Some unittests might need to be excluded for different Python versions
-EXCLUDE_TESTS := --exclude 'test_(bar_log|set_locale|constructor_compound_dtypes|invalid_index_types|searchsorted_sorter|sparse_max_row|msgpack|read_dta18|integer_panel|mixed_arithmetic|binary_ops|import_google_api_python_client|to_hdf_with_object_column_names)'
+# EXCLUDE_TESTS := --exclude 'test_(bar_log|set_locale|constructor_compound_dtypes|invalid_index_types|searchsorted_sorter|sparse_max_row|msgpack|read_dta18|integer_panel|mixed_arithmetic|binary_ops|import_google_api_python_client|to_hdf_with_object_column_names)'
+EXCLUDE_TESTS := 
 EXCLUDE_TESTS2 :=
 EXCLUDE_TESTS3.2 :=
 #--exclude "test_bootstrap_plot"
-EXCLUDE_TESTS3.3 := --exclude 'test_(to_latex_filename|expressions)'
+EXCLUDE_TESTS3.3 := 
+# EXCLUDE_TESTS3.3 := --exclude 'test_(to_latex_filename|expressions)'
 
 #--exclude "test_(bootstrap_plot|quoting|cant_compare_tz_naive_w_aware|more_flexible_frame_multi_function|yahoo)"
 EXCLUDE_TESTS3.4 := $(EXCLUDE_TESTS3.3)
@@ -117,8 +115,8 @@
 	export PYTHONPATH=`/bin/ls -d $$PWD/debian/tmp/usr/lib/python$$PY/*/`; \
 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
 	python$* ci/print_versions.py; \
-    cd build/; LC_ALL=C.UTF-8 xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
-      python$* /usr/bin/nosetests -s -v -A 'not network and not disabled' $(EXCLUDE_TESTS) $(EXCLUDE_TESTS$*) $(EXCLUDE_TESTS_ARCH) pandas;
+    cd build/; LOCALE_OVERRIDE=C xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
+      python$* -m pytest -s -v -m 'not single and not network and not disabled' $(EXCLUDE_TESTS) $(EXCLUDE_TESTS$*) $(EXCLUDE_TESTS_ARCH) $$PYTHONPATH/pandas;
 else
 	: # Skip unittests due to nocheck
 endif
@@ -139,8 +137,9 @@
 	#TODO -rm doc/_build/html/_static/jquery.js
 	dh_installdocs -A *.md
 
-#override_dh_installchangelogs:
-#	dh_installchangelogs doc/whats_new.rst
+override_dh_install:
+	dh_install
+	find debian -name __pycache__ | xargs rm -rf
 
 ## remove .so libraries from main package, and call dh_numpy*
 ## while removing 2 if not present
@@ -156,3 +155,9 @@
 ## immediately useable documentation and exemplar scripts/data
 override_dh_compress:
 	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -Xobjects.inv
+
+# This has no effect at all since the tests are run in binary-arch instead of auto_test ...
+#ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),  armhf mips s390x hppa powerpc ppc64 sparc64))
+#override_dh_auto_test:
+#	dh_auto_test || true
+#endif

## pandas 0.22.0

=== Makefile ===
tseries: pandas/_libs/lib.pyx pandas/_libs/tslib.pyx pandas/_libs/hashtable.pyx
	python setup.py build_ext --inplace

.PHONY : develop build clean clean_pyc tseries doc

clean:
	-python setup.py clean

clean_pyc:
	-find . -name '*.py[co]' -exec rm {} \;

build: clean_pyc
	python setup.py build_ext --inplace

develop: build
	-python setup.py develop

doc:
	-rm -rf doc/build doc/source/generated
	cd doc; \
	python make.py clean; \
	python make.py html

=== pandas/_libs/src/parser/Makefile ===
PYTHONBASE = /Library/Frameworks/EPD64.framework/Versions/Current
NUMPY_INC = /Library/Frameworks/EPD64.framework/Versions/7.1/lib/python2.7/site-packages/numpy/core/include
PYTHON_INC = -I$(PYTHONBASE)/include/python2.7 -I$(NUMPY_INC)
PYTHON_LINK = -L$(PYTHONBASE)/lib -lpython

SOURCES = conversions.c parser.c str_to.c

check-syntax:
	gcc -g $(PYTHON_INC) -o /dev/null -S ${CHK_SOURCES}

test: $(SOURCES)
	gcc $(PYTHON_INC) -o test $(SOURCES)
	./test

=== debian/changelog ===
pandas (0.22.0-4ubuntu1) bionic; urgency=medium

  * d/p/mark_tests_working_on_intel_armhf.patch: Backport additional patch
    updates from Ubuntu Eoan package to enable successful armhf build
    (LP: #1861148).
  * d/p/troubleshoot-CI-29294.patch: Partial cherry-pick from upstream master
    that fixes test_null_byte_char failure (LP: #1861124).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Jan 2020 08:55:02 -0500

pandas (0.22.0-4) unstable; urgency=medium

  * Team upload
  * Fix more tests expecting little-endian results
  * Fix heap corruption in read_csv on 32-bit, big-endian architectures
    (Closes: #895890)

 -- Graham Inggs <ginggs@debian.org>  Sun, 22 Apr 2018 21:48:27 +0000

pandas (0.22.0-3) unstable; urgency=medium

  * Team upload
  * Refresh and re-enable mark_tests_working_on_intel.patch
  * Fix test__get_dtype tests expecting little-endian results

 -- Graham Inggs <ginggs@debian.org>  Thu, 12 Apr 2018 11:04:21 +0000

pandas (0.22.0-2) unstable; urgency=medium

  * debian/patches 
    - as upstream moved over to pytest from nose, no more nose imports were
      in the code. Just adjusted patches to import nose where needed
  * debian/rules
    - specify LC_ALL=C locale to avoid crash while building docs
    - add the 0001-TST-pytest-deprecation-warnings-GH17197-17253-reversed.patch
      to the series if building on a system with an old pytest

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 21 Feb 2018 23:44:58 -0500

pandas (0.22.0-1) unstable; urgency=medium

  * Upstream release
  * debian/patches
    - refreshed many
    - updated some
    - added
      - up_moto_optional  to skip tests requiring moto (#777089)
      - deb_skip_difffailingtests to skip  two failing tests
        (see https://github.com/pandas-dev/pandas/issues/19774)
      - up_xlwt_optional to skip a test requiring xlwt
      - deb_ndsphinx_optional to make nbsphinx optional.
        Make nbsphinx not required in build-depends on systems with
        older python-sphinx
      - mark_tests_failing_on_386.patch
        see https://github.com/pandas-dev/pandas/issues/19814
    - removed adopted upstream:
  	  - dateutil-2.6.1-fixed-ambiguous-tz-dst-be.patch
      - up_tst_np_argsort_comparison2
    - disabled for now:
      - mark_tests_working_on_intel.patch
      - up_tst_dont_assert_that_a_bug_exists_in_numpy

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 21 Feb 2018 10:30:06 -0500

pandas (0.20.3-11) unstable; urgency=medium

  * Team upload.
  * Cherry-pick upstream commit 5f2b96bb637f6ddeec169c5ef8ad20013a03c853
    to workaround a numpy bug. (Closes: #884294)
    + patches/up_tst_dont_assert_that_a_bug_exists_in_numpy
  * Cherry-pick upstream commits to fix test failure caused by test_argsort().
    + patches/up_tst_np_argsort_comparison2
  * Workaround test failure of test_basic_indexing() in file
    pandas/tests/series/test_indexing.py .
    + patches/deb_fix_test_failure_test_basic_indexing

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 20 Jan 2018 09:00:31 +0000

=== debian/tests/control ===
Tests: unittests
Depends: python-all,
         python-dateutil,
         python-matplotlib,
         python-nose,
         python-numpy,
         python-openpyxl,
         python-pandas,
         python-scipy,
         python-statsmodels,
         python-tables,
         python-tk,
         python-tz,
         python-xlrd,
         python-xlwt,
         python-bs4,
         python-html5lib,
         python-pytest,
         xauth,
         xvfb

Tests: unittests3
Depends: python3-all,
         python3-dateutil,
         python3-matplotlib,
         python3-nose,
         python3-numpy,
         python3-pandas,
         python3-scipy,
         python3-tk,
         python3-tz,
         python3-bs4,
         python3-pytest,
         xauth,
         xvfb

=== debian/watch ===
version=4
opts="dversionmangle=s/.dfsg$//,uversionmangle=s/v//,filenamemangle=s/.*\/(.*)/pandas-$1\.tar\.gz/" \
 https://github.com/pydata/pandas/tags .*archive/v?([\d\.rc]+).tar.gz

## pandas 0.23.3

=== debian/changelog ===
pandas (0.23.3-1~nd18.04+1) bionic; urgency=medium

  [ Yaroslav Halchenko ]
  * New upstream release
  * debian/patches
    - many upstreamed patches are removed and others refreshed

  [ NeuroDebian Maintainers ]
  * Backported for bionic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 18 Jul 2018 23:08:44 -0400

pandas (0.22.0-8) unstable; urgency=medium

  * Team Upload.
  * patches:
    + Add patch: deb_dont_call_py2_in_py3_test.patch
      During python3 unit test, command 'python' is called by one of
      the tests.  When there is no python2 installation, tests such as
      autopkgtest would fail.
    * Put the conditionally applied patch to series' comment to avoid
      lintianW: patch-file-present-but-not-mentioned-in-series.
  * Trying to fix the autopkgtest:
    + Leave a comment about the way to run unittest in the test control file.
    + Synchronize B-D and autopkgtest depends.
    + Allow output to stderr during test.
    * Switch from nosetest to pytest.
    * Synchronize pytest argument for rules and autopkgtest.
    - Replace tests/unittest with the symlink pointed to tests/unittest3.
      That scripts is smart enough to tell from py2 and py3, so we won't
      need to write the same thing twice.
    - Filter out intel tests on non-x86 architectures.
    - Only enable "slow" tests on (Debian + x86) tester. "slow" tests may
      consume too much memory to cause memory error or trigger OOM killer.
  * control:
    + Add missing python3 dependencies and sort the B-D list.
    * Point Vcs-* fields to Salsa.
    * Update Homepage to https://pandas.pydata.org/ .
  * rules:
    * Reverse the architecture filtering logic.
    * Disable "slow" tests during build for non-x86 architectures.
      This may significantly reduce the build time on those weak architectures.
    * Don't specify the pytest marker expression twice.
      The first expression will be overridden.
    * Fix hardening flags.
    - Cleanup the mess of unused nosetest exclusion expressions.
  * Update lintian overrides.
    + Override source-is-missing error, which is a false-positive triggered
      by insane-line-length-in-source-file.
    + Override insane-line-length-in-source-file because we have nothing
      todo with lenghy lines in html.
  * TODO: Point out that the unittest speed can be boosted with pytest-xdist.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 17 Jun 2018 16:01:16 +0000

pandas (0.22.0-7) unstable; urgency=medium

  * Team Upload.

  [ Mo Zhou ]
  * Remove patch: deb_fix_test_failure_test_basic_indexing, which is
    unneeded for pandas >= 0.21 . (Closes: #900061)

  [ Graham Inggs ]
  * Add riscv64 to the list of "not intel" architectures
  * Update mark_tests_working_on_intel_armhf.patch

 -- Graham Inggs <ginggs@debian.org>  Tue, 29 May 2018 13:50:59 +0000

pandas (0.22.0-6) unstable; urgency=medium

  * Team upload
  * Fix FTBFS with Sphinx 1.7, thanks Dmitry Shachnev!

 -- Graham Inggs <ginggs@debian.org>  Tue, 24 Apr 2018 19:09:20 +0000

pandas (0.22.0-5) unstable; urgency=medium

  * Team upload
  * Add compatibility with Matplotlib 2.2 (Closes: #896673)

 -- Graham Inggs <ginggs@debian.org>  Mon, 23 Apr 2018 13:56:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,58 +1,70 @@
 Source: pandas
 Section: python
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 9),
+               quilt,
                python-all-dev (>= 2.5),
                python-setuptools,
                cython,
-               python-numpy (>= 1:1.7~), python-dateutil,
+               python-bs4,
+               python-dateutil,
+               python-html5lib,
+               python-lxml,
+               python-matplotlib [!hurd-i386],
+               python-nbsphinx | python-sphinx (<= 1.4),
+               python-nose,
+               python-numpy (>= 1:1.7~),
+               python-openpyxl,
+               python-pytest,
                python-scipy,
+               python-six,
+               python-sphinx (>= 1.0~),
+               python-tables [!m68k !sh4 !x32],
+               python-tk,
                python-tz,
-               python-tables [!m68k !sh4 !x32],
-               python-sphinx (>= 1.0~),
-               python-nbsphinx,
-               python-nose,
-               python-pytest,
-               python-matplotlib [!hurd-i386],
-               python-tk,
-               python-openpyxl, python-xlwt, python-xlrd,
-               python-bs4,
-               python-html5lib,
-               python-six,
-               python-lxml,
-               python-html5lib,
+               python-xlsxwriter,
+               python-xlrd,
+               python-xlwt,
                python3-all-dev,
                python3-setuptools,
                cython3 (>= 0.17.1~) | cython (<< 0.17.1~),
-               python3-numpy (>= 1:1.7~), python3-dateutil,
+               python3-bs4,
+               python3-dateutil,
+               python3-html5lib,
+               python3-lxml,
+               python3-matplotlib [!hurd-i386]| python-matplotlib (<< 1.2.0~) [!hurd-i386],
+               python3-nose,
+               python3-numpy (>= 1:1.7~),
+               python3-openpyxl,
+               python3-pytest,
                python3-scipy,
+               python3-six,
+               python3-sphinx (>= 1.0~),
+               python3-tables [!m68k !sh4 !x32],
+               python3-tk,
                python3-tz,
-               python3-sphinx (>= 1.0~),
-               python3-nose,
-               python3-pytest,
-               python3-matplotlib [!hurd-i386]| python-matplotlib (<< 1.2.0~) [!hurd-i386],
-               python3-tk,
-               python3-bs4,
-               python3-six,
-               python3-lxml,
-               python3-html5lib,
-               python3-tables [!m68k !sh4 !x32],
-               xvfb, xauth, xclip,
+               python3-xlsxwriter,
+               python3-xlrd,
+               python3-xlwt,
+               xvfb,
+               xauth,
+               xclip,
 Build-Depends-Indep:
  ipython (>= 0.12) | ipython2x | ipython1x,
 Build-Conflicts: python-tables (= 3.3.0-4), python3-tables (= 3.3.0-4)
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 Standards-Version: 4.1.1
-Homepage: http://pandas.sourceforge.net
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pandas.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pandas.git
+Homepage: https://pandas.pydata.org/
+Vcs-Browser: https://salsa.debian.org/science-team/pandas
+Vcs-Git: https://salsa.debian.org/science-team/pandas.git
 
 Package: python-pandas
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends},
          python-numpy (>= 1:1.7~),
          python-dateutil,
          python-pandas-lib(>= ${source:Version}),
@@ -94,7 +106,7 @@
 
 Package: python3-pandas
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends},
          python3-numpy (>= 1:1.7~),
          python3-dateutil,
          python3-pandas-lib(>= ${source:Version}),
@@ -133,7 +145,7 @@
 Package: python-pandas-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends},
          libjs-jquery,
          libjs-mathjax
 Suggests: python-pandas
@@ -143,7 +155,7 @@
 
 Package: python-pandas-lib
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy (>= 1:1.7~)
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy (>= 1:1.7~)
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: low-level implementations and bindings for pandas
@@ -154,7 +166,7 @@
 
 Package: python3-pandas-lib
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy (>=1:1.7~)
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy (>=1:1.7~)
 Description: low-level implementations and bindings for pandas - Python 3
  This is an add-on package for python-pandas providing
  architecture-dependent extensions.

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,12 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
 
-export DEB_BUILD_HARDENING=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-# Pass hardening flags into distutils
-CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
-export CFLAGS
+# Pass hardening flags into distutils, explicitly
+export CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
+export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
+export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
 
 PACKAGE2_NAME = python-pandas
 PACKAGE3_NAME = python3-pandas
@@ -24,27 +25,32 @@
 
 MIN_CYTHONVER = 0.23
 
-ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), arm64 armel armhf mips mips64el mipsel s390x alpha hppa powerpc ppc64))
-	# EXCLUDE_TESTS_ARCH := --exclude 'test(test_value_counts_normalized|test_resample_timedelta_values|test_resample_datetime_values|test_datetimelikes_nan|test_where_datetime|test_timestamp_compare|test_agg_dict_parameter_cast_result_dtypes|test_NaT_cast|test_where_datetime|test_where_timedelta)'
-	# unfortunately this leads to:
-	#	pytest.py: error: unrecognized arguments: --exclude
-	EXCLUDE_TESTS_ARCH := -m "not intel"
+# Filter out tests with "marker expressions" and "keyword expressions". Ref: pytest(1)
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), amd64 i386 kfreebsd-amd64 kfreebsd-i386 x32))
+	PYTEST_MARKER_ARCH :=
+	PYTEST_KEYWORD_ARCH :=
 else
-	EXCLUDE_TESTS_ARCH :=
+	PYTEST_MARKER_ARCH := and not intel and not slow
+	PYTEST_KEYWORD_ARCH :=
 endif
 
 # Some unittests might need to be excluded for different Python versions
-# EXCLUDE_TESTS := --exclude 'test_(bar_log|set_locale|constructor_compound_dtypes|invalid_index_types|searchsorted_sorter|sparse_max_row|msgpack|read_dta18|integer_panel|mixed_arithmetic|binary_ops|import_google_api_python_client|to_hdf_with_object_column_names)'
+PYTEST_MARKER := not single and not network and not disabled $(PYTEST_MARKER_ARCH)
 EXCLUDE_TESTS := 
 EXCLUDE_TESTS2 :=
 EXCLUDE_TESTS3.2 :=
-#--exclude "test_bootstrap_plot"
 EXCLUDE_TESTS3.3 := 
-# EXCLUDE_TESTS3.3 := --exclude 'test_(to_latex_filename|expressions)'
-
-#--exclude "test_(bootstrap_plot|quoting|cant_compare_tz_naive_w_aware|more_flexible_frame_multi_function|yahoo)"
 EXCLUDE_TESTS3.4 := $(EXCLUDE_TESTS3.3)
 EXCLUDE_TESTS3.5 := $(EXCLUDE_TESTS3.3)
+EXCLUDE_TESTS3.6 :=
+EXCLUDE_TESTS3.7 :=
+
+
+ADDPATCHES :=
+# testing for version became fragile: https://github.com/pytest-dev/pytest/issues/3692
+# PYTESTVER := $(shell python -c 'import pytest; print(pytest.__version__)')
+# and there is way too many uses of pytest.param now, so we can't just easily patch for it... THINK!
+# ADDPATCHES += $(shell dpkg --compare-versions $(PYTESTVER) ge 3.1.0 || echo "0001-TST-pytest-deprecation-warnings-GH17197-17253-reversed.patch" )
 
 # MPLVER := $(shell dpkg -l python-matplotlib | awk '/^ii/{print $$3;}' || echo 0)
 # $(shell dpkg --compare-versions $(MPLVER) lt 1.0 && echo '|test_hist|test_plot|test_boxplot|test_corr_rank' || echo '')
@@ -96,11 +102,19 @@
 	[ -e pandas/__version.py ] || \
       echo -e "version = '$(UVER_PY)'\nshort_version = '$(UVER_PYSHORT)'" > pandas/__version.py
 
-override_dh_auto_build: version_py
+override_dh_auto_build: version_py debian/patch-stamp
 	# Override default build operation which --force's re-cythonization
 	# on elderly ubuntus
 	# Just build the version.py file
 	:
+
+debian/patch-stamp:
+	if echo "${ADDPATCHES}" | sed -e 's,\s,,g' | grep  '.' ; then \
+       echo ${ADDPATCHES} >> debian/patches/series; \
+	   quilt push -a; \
+    fi
+	touch $@
+
 
 override_dh_auto_install: ${PYVERS:%=python-install%} ${PY3VERS:%=python-install%} ${PYVERS:%=python-test%} ${PY3VERS:%=python-test%}
 # Per Python version logic -- install, test, remomove .so (installed into -lib)
@@ -116,7 +130,7 @@
 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
 	python$* ci/print_versions.py; \
     cd build/; LOCALE_OVERRIDE=C xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
-      python$* -m pytest -s -v -m 'not single and not network and not disabled' $(EXCLUDE_TESTS) $(EXCLUDE_TESTS$*) $(EXCLUDE_TESTS_ARCH) $$PYTHONPATH/pandas;
+      python$* -m pytest -s -v -m "$(PYTEST_MARKER)" $(EXCLUDE_TESTS) $(EXCLUDE_TESTS$*) $(EXCLUDE_TESTS_ARCH) $$PYTHONPATH/pandas;
 else
 	: # Skip unittests due to nocheck
 endif
@@ -130,7 +144,7 @@
 	: # not building documentation ATM since requires ipython 0.11
 	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE2_ROOT_DIR)/usr/lib/python$(PYVER)/*`; \
 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
-	 cd doc; python make.py html
+	 cd doc; LC_ALL=C python make.py html
 endif
 endif
 	: # Use jquery from Debian package, so prune shipped one
